storeid를 해보려고 ruby 스크립트까지 해보는데 안되서 급 멘붕..

에러를 천천히 보니 일단은 new_format.rb가 실행이 안되는 듯한데

# systemctl status squid 
● squid.service - Squid caching proxy 
   Loaded: loaded (/usr/lib/systemd/system/squid.service; enabled; vendor preset: disabled) 
   Active: failed (Result: exit-code) since 수 2019-04-03 14:40:47 KST; 5ms ago 
  Process: 20020 ExecStop=/usr/sbin/squid -k shutdown -f $SQUID_CONF (code=exited, status=1/FAILURE) 
  Process: 19848 ExecStart=/usr/sbin/squid $SQUID_OPTS -f $SQUID_CONF (code=exited, status=0/SUCCESS) 
  Process: 19842 ExecStartPre=/usr/libexec/squid/cache_swap.sh (code=exited, status=0/SUCCESS) 
 Main PID: 19851 (code=exited, status=1/FAILURE) 

 4월 03 14:40:47 localhost squid[19851]: Squid Parent: (squid-1) process 19990 started 
 4월 03 14:40:47 localhost (squid-1)[19990]: The store_id helpers are crashing too rapidly, need help! 
 4월 03 14:40:47 localhost squid[19851]: Squid Parent: (squid-1) process 19990 exited with status 1 
 4월 03 14:40:47 localhost squid[19851]: Squid Parent: (squid-1) process 19990 will not be restarted due to repeated, frequent failures 
 4월 03 14:40:47 localhost squid[19851]: Exiting due to repeated, frequent failures 
 4월 03 14:40:47 localhost systemd[1]: squid.service: main process exited, code=exited, status=1/FAILURE 
 4월 03 14:40:47 localhost squid[20020]: squid: ERROR: Could not send signal 15 to process 19990: (3) No such process 
 4월 03 14:40:47 localhost systemd[1]: squid.service: control process exited, code=exited status=1 
 4월 03 14:40:47 localhost systemd[1]: Unit squid.service entered failed state. 
 4월 03 14:40:47 localhost systemd[1]: squid.service failed. 

 

퍼미션은 진작에 +x로 줬는데 안되고

If you get this error:

FATAL: The store_id helpers are crashing too rapidly, need help!

check for permssions

[링크 : https://github.com/rudiservo/pfsense_storeid]

 

그냥 해당 스크립트를 실행해보니 에러 발생.. libxml...?

# ruby new_format.rb
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- libxml (LoadError)
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from new_format.rb:8:in `'

그래서 검색해서 해당 모듈을 까는데 안깔린다!!!

# gem install -r libxml-ruby 
Fetching: libxml-ruby-3.1.0.gem (100%) 
Building native extensions.  This could take a while... 
ERROR:  Error installing libxml-ruby: 
        ERROR: Failed to build gem native extension. 

    /usr/bin/ruby extconf.rb 
mkmf.rb can't find header files for ruby at /usr/share/include/ruby.h 


Gem files will remain installed in /usr/local/share/gems/gems/libxml-ruby-3.1.0 for inspection. 
Results logged to /usr/local/share/gems/gems/libxml-ruby-3.1.0/ext/libxml/gem_make.out 

[링크 : https://github.com/xml4r/libxml-ruby]

 

ruby 모듈 하나 설치하려고 먼가 잔뜩 깔게 하다니..

yum install gcc-c++ patch readline readline-devel zlib zlib-devel libyaml-devel libffi-devel openssl-devel make bzip2 autoconf automake libtool bison iconv-devel ruby-devel libxml2 libxml2-devel libxslt libxslt-devel git

[링크 : https://gist.github.com/lovellfelix/8135631]

'프로그램 사용 > squid' 카테고리의 다른 글

squid 캐시에 합류하기  (0) 2019.04.04
squid hierarchy와 cache  (0) 2019.04.04
squid storeid... 에러  (0) 2019.04.03
squid storeid  (0) 2019.04.03
squid storeurl_rewrite  (0) 2019.04.02
lynx proxy  (0) 2019.03.27
Posted by 구차니

댓글을 달아 주세요